1 Reply Latest reply: Aug 10, 2013 10:13 PM by pwillener RSS

    What version is compatible with the Kindle Fire HD?

    PhotoExpressions2

      I don't know what the system is in the Kindle Fire HD and need to download Adobe Flash player.that is compatible with it.